import { Permission } from "@cqsjjb/jjb-common-decorator/permission";
import { Connect } from "@cqsjjb/jjb-dva-runtime";
import SensorDeviceList from "~/components/SensorDevice/List";
import { NS_SENSORDEVICE, NS_SENSORTYPE } from "~/enumerate/namespace";

function List(props) {
  return <SensorDeviceList {...props} type="fgs" />;
}

export default Connect([NS_SENSORDEVICE, NS_SENSORTYPE], true)(Permission(List));
